using System;
using System.Runtime.Serialization;
using System.Xml;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationSMSFVRFY
{
    /// <summary>
    /// SMSFVRFY
    /// </summary>
    [DataContract(Name = "SMSFVRFY", Namespace = "http://www.sbr.gov.au/ato/smsfvrfy")]
    public class SMSFVRFY
    {

        [DataMember(EmitDefaultValue = false, Order = 1)]
        public Int Int { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 2)]
        public Rp Rp { get; set; }

        /// <summary>
        /// Self managed superannuation fund member's tax file number (TFN)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string MemberDetailsTaxFileNumberId { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 4)]
        public SMSFDetails SMSFDetails { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 5)]
        public FinancialInstitutionAccount FinancialInstitutionAccount { get; set; }
    }

    /// <summary>
    /// Intermediary Details
    /// </summary>
    [DataContract(Name = "Int", Namespace = "http://www.sbr.gov.au/ato/smsfvrfy")]
    public class Int
    {

        /// <summary>
        /// Intermediary's Australian business number (ABN)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AustralianBusinessNumberId { get; set; }

        /// <summary>
        /// Intermediary's business name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string OrganisationNameDetailsOrganisationalNameT { get; set; }

        /// <summary>
        /// Intermediary's tax agent number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string TaxAgentNumberId { get; set; }
    }

    /// <summary>
    /// Reporting Party Details
    /// </summary>
    [DataContract(Name = "Rp", Namespace = "http://www.sbr.gov.au/ato/smsfvrfy")]
    public class Rp
    {

        /// <summary>
        /// Reporting party's Australian business number (ABN)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AustralianBusinessNumberId { get; set; }

        /// <summary>
        /// Reporting party's business name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string OrganisationNameDetailsOrganisationalNameT { get; set; }
    }

    /// <summary>
    /// Self Managed Superannuation Fund (SMSF) Details
    /// </summary>
    [DataContract(Name = "SMSFDetails", Namespace = "http://www.sbr.gov.au/ato/smsfvrfy")]
    public class SMSFDetails
    {

        /// <summary>
        /// Self managed superannuation fund's Australian business number (ABN)
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AustralianBusinessNumberId { get; set; }

        /// <summary>
        /// Self managed superannuation fund's electronic service address (ESA) alias
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string ElectronicContactElectronicServiceAddressAliasT { get; set; }
    }

    /// <summary>
    /// Self Managed Superannuation Fund (SMSF) Bank Details
    /// </summary>
    [DataContract(Name = "FinancialInstitutionAccount", Namespace = "http://www.sbr.gov.au/ato/smsfvrfy")]
    public class FinancialInstitutionAccount
    {

        /// <summary>
        /// Self managed superannuation fund's bank account name
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string NameT { get; set; }

        /// <summary>
        /// Self managed superannuation fund's bank state branch (BSB) number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string BankStateBranchN { get; set; }

        /// <summary>
        /// Self managed superannuation fund's bank account number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string N { get; set; }
    }
}

